Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040LanguageCommunicationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040LanguageCommunicationImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040LanguageCommunication

    public class POCDMT000040LanguageCommunicationImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040LanguageCommunication

An implementation of the model object 'POCDMT000040 Language Communication'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Language Code`
- `Mode Code`
- `Proficiency Level Code`
- `Preference Ind`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLanguageCode(CS1 newLanguageCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetModeCode(CE newModeCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPreferenceInd(BL1 newPreferenceInd, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetProficiencyLevelCode(CE newProficiencyLevelCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`CS1` | `getLanguageCode()`
`CE` | `getModeCode()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`BL1` | `getPreferenceInd()`
`CE` | `getProficiencyLevelCode()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`void` | `setLanguageCode(CS1 newLanguageCode)`
`void` | `setModeCode(CE newModeCode)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setPreferenceInd(BL1 newPreferenceInd)`
`void` | `setProficiencyLevelCode(CE newProficiencyLevelCode)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LanguageCommunication_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040LanguageCommunication`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LanguageCommunication_TemplateId()`

### getLanguageCode

    public CS1 getLanguageCode()

  Specified by:
    `getLanguageCode` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_LanguageCode()`

### basicSetLanguageCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetLanguageCode(CS1 newLanguageCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setLanguageCode

    public void setLanguageCode(CS1 newLanguageCode)

  Specified by:
    `setLanguageCode` in interface `POCDMT000040LanguageCommunication`
  Parameters:
    `newLanguageCode` - the new value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.getLanguageCode()`

### getModeCode

    public CE getModeCode()

  Specified by:
    `getModeCode` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Mode Code' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.setModeCode(CE)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_ModeCode()`

### basicSetModeCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetModeCode(CE newModeCode,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setModeCode

    public void setModeCode(CE newModeCode)

  Specified by:
    `setModeCode` in interface `POCDMT000040LanguageCommunication`
  Parameters:
    `newModeCode` - the new value of the 'Mode Code' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.getModeCode()`

### getProficiencyLevelCode

    public CE getProficiencyLevelCode()

  Specified by:
    `getProficiencyLevelCode` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Proficiency Level Code' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.setProficiencyLevelCode(CE)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_ProficiencyLevelCode()`

### basicSetProficiencyLevelCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetProficiencyLevelCode(CE newProficiencyLevelCode,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setProficiencyLevelCode

    public void setProficiencyLevelCode(CE newProficiencyLevelCode)

  Specified by:
    `setProficiencyLevelCode` in interface `POCDMT000040LanguageCommunication`
  Parameters:
    `newProficiencyLevelCode` - the new value of the 'Proficiency Level Code' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.getProficiencyLevelCode()`

### getPreferenceInd

    public BL1 getPreferenceInd()

  Specified by:
    `getPreferenceInd` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Preference Ind' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.setPreferenceInd(BL1)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_PreferenceInd()`

### basicSetPreferenceInd

    public org.eclipse.emf.common.notify.NotificationChain basicSetPreferenceInd(BL1 newPreferenceInd,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setPreferenceInd

    public void setPreferenceInd(BL1 newPreferenceInd)

  Specified by:
    `setPreferenceInd` in interface `POCDMT000040LanguageCommunication`
  Parameters:
    `newPreferenceInd` - the new value of the 'Preference Ind' containment reference.
  See Also:
    `POCDMT000040LanguageCommunication.getPreferenceInd()`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040LanguageCommunication`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040LanguageCommunication.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040LanguageCommunication`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040LanguageCommunication.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD